Name:           devscripts
Version:        2.13.9
Release:        1%{?dist}
Summary:        Scripts for Debian Package maintainers

License:        GPLv2+
URL:            http://packages.debian.org/unstable/admin/%{name}
Source0:        http://ftp.debian.org/debian/pool/main/d/%{name}/%{name}_%{version}.tar.xz
# Fixes path to xsl-stylesheet manpages docbook.xsl
Patch0:         devscripts_docbook.patch
# Removes the debian-only --install-layout python-setuptools option
Patch1:         devscripts_install-layout.patch
# Install some additional man pages
Patch2:         devscripts_install-man.patch

# rpmdevtools < 8.4 bundled some of the scripts provided by this package
Conflicts:      rpmdevtools < 8.4

BuildRequires:  perl
BuildRequires:  perl(LWP::UserAgent)
BuildRequires:  perl(Dpkg::IPC)
BuildRequires:  perl(DB_File)
BuildRequires:  perl(Parse::DebControl)
BuildRequires:  perl(File::DesktopEntry)
BuildRequires:  perl(Pod::Checker)
BuildRequires:  docbook-style-xsl
BuildRequires:  libxslt
BuildRequires:  po4a
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

Requires:       dpkg-dev
# man for manpage-alert
Requires:       %{_bindir}/man

Requires: %{name}-minimal


%description
Scripts to make the life of a Debian Package maintainer easier.


%package minimal
Summary:        Minimal subset of devscripts

%description minimal
This package contains the following subset of the devscripts scripts:
- licensecheck
- checkbashisms


%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

# Search for libvfork in %%{_libdir}/%%{name}
sed -i 's|/usr/lib/devscripts/libvfork.so.0|%{_libdir}/%{name}/libvfork.so.0|g' scripts/dpkg-depcheck.pl


%build
# LIBDIR determines where libvfork gets installed, see scripts/Makefile for LIBDIR
make %{?_smp_mflags} LIBDIR=%{_libdir}/%{name} CFLAGS="$RPM_OPT_FLAGS" LDFLAGS="$RPM_LD_FLAGS"


%install
%make_install LIBDIR=%{_libdir}/%{name}

# Install docs through %%doc
rm -rf %{buildroot}%{_datadir}/doc


%files
%doc README COPYING
%{_sysconfdir}/bash_completion.d/*
%{_bindir}/*
%{_libdir}/%{name}/
%{python3_sitelib}/%{name}
%{python3_sitelib}/%{name}*.egg-info/
%{_datadir}/%{name}/
%{_mandir}/man1/*
%exclude %{_bindir}/checkbashisms
%exclude %{_bindir}/licensecheck
%exclude %{_mandir}/man1/checkbashisms.1*
%exclude %{_mandir}/man1/licensecheck.1*

%files minimal
%doc COPYING
%{_bindir}/checkbashisms
%{_bindir}/licensecheck
%{_mandir}/man1/checkbashisms.1*
%{_mandir}/man1/licensecheck.1*


%changelog
* Wed Dec 25 2013 Sandro Mani <manisandro@gmail.com> - 2.13.9-1
- Update to 2.13.9
- Fixes CVE-2013-7085 (rhbz#1040949)

* Wed Dec 11 2013 Sandro Mani <manisandro@gmail.com> - 2.13.8-1
- Update to 2.13.8

* Wed Dec 11 2013 Sandro Mani <manisandro@gmail.com> - 2.13.5-2
- Add upstream patch to fix arbitrary command execution when using
  USCAN_EXCLUSION (rhbz#1040266, debian#731849)

* Thu Dec 05 2013 Sandro Mani <manisandro@gmail.com> - 2.13.5-1
- Update to 2.13.5

* Sun Oct 20 2013 Sandro Mani <manisandro@gmail.com> - 2.13.4-5
- Honour RPM_LD_FLAGS

* Sat Oct 19 2013 Sandro Mani <manisandro@gmail.com> - 2.13.4-4
- Honour optflags
- Improve -minimal subpackage description

* Thu Oct 17 2013 Sandro Mani <manisandro@gmail.com> - 2.13.4-3
- Split scripts used by rpm developers into a subpackage
- Install some additional manpages

* Mon Oct  7 2013 Ville Skyttä <ville.skytta@iki.fi> - 2.13.4-2
- Add dependency on man for manpage-alert.

* Mon Oct 07 2013 Sandro Mani <manisandro@gmail.com> - 2.13.4-1
- Update to 2.13.4
- Drop devscripts_item.patch
- Drop devscripts_spurious-pod.patch

* Sat Sep 21 2013 Sandro Mani <manisandro@gmail.com> - 2.13.3-5
- Fix typo builroot -> buildroot
- Require perl modules instead of the providing packages

* Fri Sep 20 2013 Sandro Mani <manisandro@gmail.com> - 2.13.3-4
- Conflict with rpmdevtools < 8.4

* Fri Sep 20 2013 Sandro Mani <manisandro@gmail.com> - 2.13.3-3
- Revert: Require rpmdevtools and drop scripts which are in rpmdevtools
- Add conflicts from rpmdevtools < 8.3-6

* Thu Sep 19 2013 Sandro Mani <manisandro@gmail.com> - 2.13.3-2
- Require rpmdevtools and drop scripts which are in rpmdevtools

* Thu Sep 19 2013 Sandro Mani <manisandro@gmail.com> - 2.13.3-1
- Initial package
